set tracefile "data6.s2c"

set ttc [new TrafficTraceConvert];

$ttc filename "data6.bin"

set cnt 0

set file [open $tracefile "r"]  
while {[eof $file]==0} {


  set line [gets $file]
  set x [lindex [split $line " "] 0]
  set x [expr $x * 1000000.0]
  set x [expr int($x)]

  set time_ $x

  $ttc set time_ $x
#  puts $x
  set x [lindex [split $line " "] 1]
  $ttc set size_ $x

  set size_ $x

  if { $cnt > 0 } {

     set x [expr $time_ - $last_time_]
     $ttc set time_ $x 
  }

  $ttc record

  set last_time_ $time_
  set last_size_ $size_
	
  set cnt [expr $cnt+1]
}

$ttc finish
close $file

